Bug 1463349 - [RFE] Add IPSec support for Ceph internal traffic via Director
[RFE] Add IPSec support for Ceph internal traffic via Director
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
14.0 (Rocky)
Unspecified Unspecified
unspecified Severity high
: Upstream M2
: ---
Assigned To: Giulio Fidente
Yogev Rabl
: FutureFeature, TestOnly, Triaged
Depends On:
  Show dependency treegraph
Reported: 2017-06-20 11:28 EDT by Nathan Kinder
Modified: 2018-03-17 22:12 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nathan Kinder 2017-06-20 11:28:03 EDT
Director needs to have support for configuring Ceph to use TLS for its internal traffic.  This includes the following 2 items:

 [ ] - Enable TLS for Ceph internal traffic
 [ ] - Enable TLS for Ceph Rados GW

Note - This was split off from the TLS everywhere RFE for OSP12 (bug# 1336504), which added TLS support for other internal traffic.
Comment 1 Red Hat Bugzilla Rules Engine 2017-06-20 11:28:32 EDT
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.
Comment 2 John Spray 2017-08-29 11:45:33 EDT
It's not obvious exactly what "ceph internal traffic" means.  Can you say exactly which paths it is, like mon->mon, osd->osd, mon->osd, client->osd, client->mon, etc?

Note You need to log in before you can comment on or make changes to this bug.